#version 300 es

// Calculated as 1.0 / (far - near)
uniform highp float uLinearDepthConstant;

in highp vec4 vPosition;
in highp vec3 vNormal;

out highp vec4 outDepth;

void main()
{
    highp float linearDepth = -vPosition.z * uLinearDepthConstant;
        
    outDepth = vec4( linearDepth, normalize( vNormal ) );
}
